summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-10-03 19:58:15 +0000
committer Eric Hameleers <alien@slackware.com>2019-10-04 08:59:50 +0200
commit4599171894453ce9b77106663288c843113f87e0 (patch)
tree9bdfa72b9a43c8f621bf2be73d8d6b3d827ba33c /source/ap
parent27dce94811b1253ee685b40a4a5a70bce92b5cbd (diff)
downloadcurrent-4599171894453ce9b77106663288c843113f87e0.tar.gz
current-4599171894453ce9b77106663288c843113f87e0.tar.xz
Thu Oct 3 19:58:15 UTC 201920191003195815
a/hwdata-0.328-noarch-1.txz: Upgraded. ap/powertop-2.11-x86_64-1.txz: Upgraded. d/cmake-3.15.4-x86_64-1.txz: Upgraded. d/mercurial-5.1.2-x86_64-1.txz: Upgraded. l/mozilla-nss-3.46.1-x86_64-1.txz: Upgraded. l/python-pillow-6.2.0-x86_64-1.txz: Upgraded. n/whois-5.5.2-x86_64-1.txz: Upgraded. xap/xpdf-4.02-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/powertop/powertop.SlackBuild10
1 files changed, 7 insertions, 3 deletions
diff --git a/source/ap/powertop/powertop.SlackBuild b/source/ap/powertop/powertop.SlackBuild
index ceab1272f..79857b073 100755
--- a/source/ap/powertop/powertop.SlackBuild
+++ b/source/ap/powertop/powertop.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2010, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2012, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=powertop
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev | tr -d 'v')}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -73,7 +73,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-v$VERSION.tar.?z || tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
-cd ${PKGNAM}-v$VERSION || ${PKGNAM}-v$VERSION || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -83,6 +83,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+
LDFLAGS=" -lresolv -lz " \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \